Page MenuHomePhabricator

Determine the names of the RESTBase front- and back-end services
Closed, ResolvedPublic0 Story Points

Description

Since we are splitting RESTBase into two services, we need to find appropriate names for them.

Proposals

Front-end:

  • restapi
  • restproxy
  • restrouter +1

Back-end:

  • restbase
  • reststore +1
  • keyval

Feel free to +1 / add suggestions directly in this list.

Event Timeline

mobrovac triaged this task as Normal priority.Apr 11 2019, 8:24 PM
mobrovac created this task.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 11 2019, 8:24 PM
Joe updated the task description. (Show Details)Apr 15 2019, 10:25 AM

I'd personally go for restrouter and restbase, respectively. Namely, if we don't change the name of the storage service, then we don't need to do any puppet/scap mangling, which seems much easier. Objections?

mobrovac closed this task as Resolved.May 30 2019, 8:35 AM
mobrovac claimed this task.

We have settled on restrouter and restbase for simplicity.